FFMPEG maybe not an php library?

Discussion in 'Installation/Configuration' started by Mkipz, Jun 24, 2009.

  1. Mkipz

    Mkipz New Member

    HI all,

    I installed ffmpeg from source versions 0.6.0

    When i run make test i get the following output

    As you can see he won't load the ffmpeg.so because it isn't an php library? after some days of searching on google i didn't get any result on how to fix this!

    Any one got aan solution for this?

    Greetings,
    Dion
     
  2. falko

    falko Super Moderator

    What were the exact steps you took to install ffmpeg?
    Which distribution are you using?
     
  3. darkladen

    darkladen New Member

    Hello list,

    I have a time using ffmpeg-php and never had any problems to this day. It turns out that with the latest Linux updates (Centos5.3) ffmpeg-php module has stopped working. I currently have the Linux system updated with the latest and I tried to reinstall the module in its latest version (ffmpeg-php-0.6.0) and all ends well, but when I verify if the extension "ffmpeg.so" is running (php -r "phpinfo ();" | grep ffmpeg) gives me the following:

    PHP Warning: PHP Startup: Invalid library (maybe not a PHP library) 'ffmpeg.so' in Unknown on line 0
    <br />
    <b>Warning</b>: PHP Startup: Invalid library (maybe not a PHP library) 'ffmpeg.so' in <b>Unknown</b> on line <b>0</b><br />
    PHP Warning: PHP Startup: Invalid library (maybe not a PHP library) 'ffmpeg.so' in Unknown on line 0
    <br />
    <b>Warning</b>: PHP Startup: Invalid library (maybe not a PHP library) 'ffmpeg.so' in <b>Unknown</b> on line <b>0</b><br />
    PWD => /home/activemedia/ffmpeg-php-0.6.0
    _SERVER["PWD"] => /home/activemedia/ffmpeg-php-0.6.0
    _ENV["PWD"] => /home/activemedia/ffmpeg-php-0.6.0


    I tried updating the path of the libraries and many other things that I found online but still not working.

    Someone could help me??

    Thks.
     

Share This Page